View Issue Details

IDProjectCategoryView StatusLast Update
0036618LazarusWidgetsetpublic2020-01-27 06:42
ReporterChris Rorden Assigned ToDmitry Boyarintsev  
PrioritynormalSeverityminorReproducibilityalways
Status assignedResolutionreopened 
PlatformMacBookOSDarwin 
Product Version2.1 (SVN) 
Summary0036618: Cocoa: TListView AutoSortLastColumn issue
DescriptionThis is a very small issue, but setting the ListView AutoSortLastColumn property to true has some odd properties. The exact behavior seems to depend on whether the last column has its "AutoSize" property set to true. If it is set to true, on my Retina display the last column is always made too wide, such that the scrollbar Is drawn and the SortIndicator can not be seen. If the AutoSize property is off for the last column, the scrollbar is not shown even when the last column is completely hidden.
Steps To ReproduceSee attached
TagsNo tags attached.
Fixed in Revision62589
LazTarget-
WidgetsetCocoa
Attached Files

Activities

Chris Rorden

2020-01-22 17:48

reporter  

autsize_TListView.zip (109,777 bytes)
TListView.png (151,608 bytes)   
TListView.png (151,608 bytes)   

Dmitry Boyarintsev

2020-01-26 05:08

developer   ~0120748

please test and close if ok

Chris Rorden

2020-01-26 14:28

reporter   ~0120757

Dmitry-
  Thanks, This is much improved. There is still one issue, that my newly attached project illustrates. With this new project:
   1. Note that if you resize the ListView using the splitter, the horizontal scrollbar appears or disappears as required (Good).
  2. If you resize the ListView using by resizing the form, once the horizontal scrollbar appears it will never disappear, even if it is no longer needed (Bad).

Perhaps this is a rare use case, for context this is for my brain imaging tool where the user can select to see graphs and cluster tables, though some images are only suitable for graphs and others are only suitable for clusters:
  https://github.com/neurolabusc/MRIcroGL_AFNI
I can understand if you do not want to devote development effort to corner cases, but if this is easy to solve it may help other users in the future who want to do something similar.

Thanks again, the current patch is a big improvement, and I am happy to close the issue if you feel the residual problem is not big enough to warrant development time.
WindowResizeIssue.zip (111,720 bytes)
4D.png (213,874 bytes)   
4D.png (213,874 bytes)   

Dmitry Boyarintsev

2020-01-27 05:59

developer   ~0120776

Last edited: 2020-01-27 06:42

View 2 revisions

as a temporary workaround you can set BorderStyle to bsNone.

Issue History

Date Modified Username Field Change
2020-01-22 17:48 Chris Rorden New Issue
2020-01-22 17:48 Chris Rorden File Added: autsize_TListView.zip
2020-01-22 17:48 Chris Rorden File Added: TListView.png
2020-01-26 05:08 Dmitry Boyarintsev Assigned To => Dmitry Boyarintsev
2020-01-26 05:08 Dmitry Boyarintsev Status new => resolved
2020-01-26 05:08 Dmitry Boyarintsev Resolution open => fixed
2020-01-26 05:08 Dmitry Boyarintsev Fixed in Revision => 62589
2020-01-26 05:08 Dmitry Boyarintsev LazTarget => -
2020-01-26 05:08 Dmitry Boyarintsev Widgetset Cocoa => Cocoa
2020-01-26 05:08 Dmitry Boyarintsev Note Added: 0120748
2020-01-26 14:28 Chris Rorden File Added: WindowResizeIssue.zip
2020-01-26 14:28 Chris Rorden File Added: 4D.png
2020-01-26 14:28 Chris Rorden Note Added: 0120757
2020-01-26 19:08 Dmitry Boyarintsev Status resolved => assigned
2020-01-26 19:08 Dmitry Boyarintsev Resolution fixed => reopened
2020-01-27 05:59 Dmitry Boyarintsev Note Added: 0120776
2020-01-27 06:42 Dmitry Boyarintsev Note Edited: 0120776 View Revisions